﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Telerik.Windows.Controls;

namespace TileViewChangeTheLargeContent
{
	public partial class MainPage : UserControl
	{
		public MainPage()
		{
			InitializeComponent();

			this.myTileView.Items.Add(new RadTileViewItem());
			this.myTileView.Items.Add(new RadTileViewItem());
		}

		private void myTileView_TileStateChanged(object sender, Telerik.Windows.RadRoutedEventArgs e)
		{
			RadTileViewItem item = e.OriginalSource as RadTileViewItem;
			if (item != null)
			{
				RadFluidContentControl fluidControl = item.ChildrenOfType<RadFluidContentControl>().FirstOrDefault();

				if (fluidControl != null)
				{
					switch (item.TileState)
					{
						case TileViewItemState.Maximized:
							fluidControl.State = FluidContentControlState.Large;
							break;
						case TileViewItemState.Minimized:
							fluidControl.State = FluidContentControlState.Small;
							break;
						case TileViewItemState.Restored:
							fluidControl.State = FluidContentControlState.Normal;
							break;
					}
				}
			}
		}

		private void myTileView_Loaded(object sender, RoutedEventArgs e)
		{
			this.Dispatcher.BeginInvoke(new Action(() =>
				{
					foreach (var item in this.myTileView.Items)
					{
						RadTileViewItem container = item as RadTileViewItem;
						if (container != null)
						{
							RadFluidContentControl fluidControl = container.ChildrenOfType<RadFluidContentControl>().FirstOrDefault();

							if (fluidControl != null)
							{
								switch (container.TileState)
								{
									case TileViewItemState.Maximized:
										fluidControl.State = FluidContentControlState.Large;
										break;
									case TileViewItemState.Minimized:
										fluidControl.State = FluidContentControlState.Small;
										break;
									case TileViewItemState.Restored:
										fluidControl.State = FluidContentControlState.Normal;
										break;
								}
							}
						}
					}
				}));
		}
	}
}
